aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKim Alvefur <zash@zash.se>2017-04-15 02:10:49 +0200
committerKim Alvefur <zash@zash.se>2017-04-15 02:10:49 +0200
commit1b8f9a5f45e29e63561c9a8a8f6f4986a4c24a91 (patch)
treeeab59c33798cdea6c0a7d75241ecb6ab9d1d457a
parentef26e5ceed2e46958693c1981d9e4569273b459f (diff)
downloadprosody-im-server-1b8f9a5f45e29e63561c9a8a8f6f4986a4c24a91.tar
prosody-im-server-1b8f9a5f45e29e63561c9a8a8f6f4986a4c24a91.zip
configure: Skip some interpreter checks if --runwith is set
-rwxr-xr-xconfigure23
1 files changed, 13 insertions, 10 deletions
diff --git a/configure b/configure
index c2c96bcd..08f631ee 100755
--- a/configure
+++ b/configure
@@ -425,7 +425,7 @@ else
}
fi
-if [ "$lua_interp_found" != "yes" ]
+if [ "$lua_interp_found" != "yes" -a "$RUNWITH_SET" != "yes" ]
then
[ "$LUA_VERSION_SET" ] && { interp="Lua $LUA_VERSION" ;} || { interp="Lua" ;}
[ "$LUA_DIR_SET" -o "$LUA_BINDIR_SET" ] && { where="$LUA_BINDIR" ;} || { where="\$PATH" ;}
@@ -433,7 +433,7 @@ then
die "You may want to use the flags --with-lua, --with-lua-bin and/or --lua-suffix. See --help."
fi
-if [ "$LUA_VERSION_SET" = "yes" ]
+if [ "$LUA_VERSION_SET" = "yes" -a "$RUNWITH_SET" != "yes" ]
then
echo_n "Checking if $LUA_BINDIR/lua$LUA_SUFFIX is Lua version $LUA_VERSION... "
if detect_lua_version "$LUA_BINDIR/lua$LUA_SUFFIX"
@@ -481,15 +481,18 @@ else
fi
fi
-echo_n "Checking if Lua header version matches that of the interpreter... "
-header_version=$(sed -n 's/.*LUA_VERSION_NUM.*5.\(.\).*/5.\1/p' "$lua_h")
-if [ "$header_version" = "$LUA_VERSION" ]
+if [ "$lua_interp_found" = "yes" ]
then
- echo "yes"
-else
- echo "no"
- echo "lua.h version mismatch (interpreter: $LUA_VERSION; lua.h: $header_version)."
- die "You may want to use the flag --with-lua or --with-lua-include. See --help."
+ echo_n "Checking if Lua header version matches that of the interpreter... "
+ header_version=$(sed -n 's/.*LUA_VERSION_NUM.*5.\(.\).*/5.\1/p' "$lua_h")
+ if [ "$header_version" = "$LUA_VERSION" ]
+ then
+ echo "yes"
+ else
+ echo "no"
+ echo "lua.h version mismatch (interpreter: $LUA_VERSION; lua.h: $header_version)."
+ die "You may want to use the flag --with-lua or --with-lua-include. See --help."
+ fi
fi
echo_n "Configuring for system... "